Name:           lwjgl
Version:        2.7.1
Release:        3%{?dist}
Summary:        LightWeight Java Game Library

Group:          Development/Libraries
License:        BSD
URL:            http://lwjgl.org
Source0:        http://downloads.sourceforge.net/java-game-lib/%{name}-source-%{version}.zip
Source1:        lwjgl.pom
Source2:        lwjgl_util.pom
# remove the mac osx related stuff
Patch0:         001_lwjgl_removeosx.patch
# remove pack200 ant invocation (non-free jar)
Patch1:         002_lwjgl_removepack200.patch
# set compiler flags
Patch2:         003_lwjgl_cflags.patch

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  jutils jinput
BuildRequires:  libX11-devel libXxf86vm-devel libXrandr-devel libXcursor-devel
BuildRequires:  libXt-devel

Requires:       java 
Requires:       jpackage-utils
Requires:       jutils
Requires:       jinput

%description
The Lightweight Java Game Library (LWJGL) is a solution aimed directly at 
professional and amateur Java programmers alike to enable commercial quality 
games to be written in Java. LWJGL provides developers access to high 
performance cross platform libraries such as OpenGL (Open Graphics Library) 
and OpenAL (Open Audio Library) allowing for state of the art 3D games and 
3D sound. Additionally LWJGL provides access to controllers such as Gamepads, 
Steering wheel and Joysticks. All in a simple and straight forward API.

LWJGL is not meant to make writing games particularly easy; it is primarily 
an enabling technology which allows developers to get at resources that are 
simply otherwise unavailable or poorly implemented on the existing Java 
platform. We anticipate that the LWJGL will, through evolution and extension, 
become the foundation for more complete game libraries and "game engines" as 
they have popularly become known, and hide some of the new evils we have 
had to expose in the APIs.


%package util
Summary:        Utility classes for %{name}
Group:          Development/Libraries
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description util
This package provides additional java utility classes for %{name}, including
OpenGLU support, various Vector and Matrix classes, MappedObjects, etc.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -c -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
sed -i 's/@VERSION@/%{version}/' %{SOURCE1}
sed -i 's/@VERSION@/%{version}/' %{SOURCE2}

%build
export CLASSPATH=$(build-classpath jutils):%{_libdir}/jinput/jinput.jar
ant 
ant javadoc

%install
# jars
install -Dp -m 644 libs/%{name}.jar \
    ${RPM_BUILD_ROOT}%{_jnidir}/%{name}.jar
install -Dp -m 644 libs/%{name}_util.jar \
    ${RPM_BUILD_ROOT}%{_jnidir}/%{name}_util.jar

# jni
install -Dp -m 755 bin/%{name}/lib%{name}*.so \
    ${RPM_BUILD_ROOT}%{_libdir}/%{name}/liblwjgl.so

pushd  ${RPM_BUILD_ROOT}%{_libdir}/%{name}
    ln -fs %{_jnidir}/%{name}.jar %{name}.jar
    ln -fs %{_jnidir}/%{name}_util.jar %{name}_util.jar
popd


# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -rp doc/javadoc/*  $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1}  \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 %{SOURCE2}  \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}_util.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}_util.pom %{name}_util.jar


%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}.jar
%{_libdir}/%{name}/liblwjgl.so
%{_jnidir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}

%files util
%{_mavenpomdir}/JPP-%{name}_util.pom
%{_jnidir}/%{name}_util.jar
%{_libdir}/%{name}/%{name}_util.jar


%changelog
* Sun Apr 29 2012 Guido Grazioli <guido.grazioli@gmail.com> - 2.7.1-3
- Fix Group, Summary and %%description for lwjgl-util

* Mon Apr 23 2012 Guido Grazioli <guido.grazioli@gmail.com> - 2.7.1-2
- Fix build on current rawhide

* Thu Jul 21 2011 Guido Grazioli <guido.grazioli@gmail.com> - 2.7.1-1
- Initial packaging
